Minimum Browser Requirements

a&dc provides innovative and engaging assessment and development solutions, resulting in a better candidate experience and improved levels of feedback. Whilst we aim to cater for all situations, businesses must meet a minimum set of browser requirement to run our software:

360 PropelTM

  • Firefox 52.0 (Windows)
  • Firefox 48.0 (Mac)
  • Google Chrome 49
  • IE 10
  • Safari 10 (Mac)

ATK®

  • Firefox 52.0 (Windows)
  • Firefox 48.0 (Mac)
  • Google Chrome 49
  • IE 10
  • Safari 10 (Mac)

CBI-SmartTM

  • Firefox 52.0 (Windows)
  • Firefox 48.0 (Mac)
  • Google Chrome 49
  • IE 10
  • Safari 10 (Mac)

The Dilemmas SeriesTM

  • Firefox 52.0 (Windows)
  • Firefox 48.0 (Mac)
  • Google Chrome 49
  • IE 10
  • Safari 10 (Mac)

The Engagement QuestionnaireTM

  • Firefox 52.0 (Windows)
  • Firefox 48.0 (Mac)
  • Google Chrome 49
  • IE 10
  • Safari 10 (Mac)

e-Valuate®

  • Firefox 52.0 (Windows)
  • Firefox 48.0 (Mac)
  • Google Chrome 49
  • IE 11
  • Safari 10 (Mac)
  • iPad – OS 10.3.3

LIVED 360®

  • Firefox 52.0 (Windows)
  • Firefox 48.0 (Mac)
  • Google Chrome 49
  • IE 10
  • Safari 10 (Mac)

The Resilience Questionnaire®

  • Firefox 52.0 (Windows)
  • Firefox 48.0 (Mac)
  • Google Chrome 49
  • IE 10
  • Safari 10 (Mac)

The Smart Aptitude® Series

  • Firefox 52.0 (Windows)
  • Firefox 48.0 (Mac)
  • Google Chrome 49
  • IE 10
  • Safari 10 (Mac)

VirtualACTM

  • Firefox 52.0 (Windows)
  • Firefox 48.0 (Mac)
  • Google Chrome 49
  • IE 10
  • Safari 10 (Mac)

Please call us on +44 (0) 1483 752 900 or email info@adc.uk.com if you have any questions about the browser requirements.